libepubgen::EPUBListStyleManager Class Reference documentation

Classes | Public Member Functions | Protected Attributes | Private Member Functions | List of all members
libepubgen::EPUBListStyleManager Class Reference

Small class to manage the list style. More...

`#include <EPUBListStyleManager.h>`

Inheritance diagram for libepubgen::EPUBListStyleManager:

## Classes
struct | List

## Public Member Functions
| EPUBListStyleManager ()
| constructor More...
| ~EPUBListStyleManager () override
| destructor More...
void | defineLevel (librevenge::RVNGPropertyList const &property, bool ordered)
| add a level to the corresponding list More...
std::string | openLevel (librevenge::RVNGPropertyList const &pList, bool ordered)
| returns the class name corresponding to a propertylist More...
void | closeLevel ()
| close a level More...
std::string | getClass (librevenge::RVNGPropertyList const &pList)
| returns the classname corresponding to a list element More...
void | send (EPUBCSSSink &out)
| send the data to the sink More...
Public Member Functions inherited from libepubgen::EPUBParagraphStyleManager
| EPUBParagraphStyleManager ()
| constructor More...
virtual | ~EPUBParagraphStyleManager ()
| destructor More...
void | defineParagraph (librevenge::RVNGPropertyList const &pList)
| define a paragraph style More...
std::string | getClass (librevenge::RVNGPropertyList const &pList)
| returns the class name corresponding to a propertylist More...
std::string | getStyle (librevenge::RVNGPropertyList const &pList)
| returns the style string corresponding to a propertylist More...
void | send (EPUBCSSSink &out)
| send the data to the sink More...

## Protected Attributes
List::ContentNameMap_t | m_levelNameMap
| a map content -> list level name More...
std::map< int, List > | m_idListMap
| a map listId -> list More...
std::vector< int > | m_actualIdStack
| the actual list id More...
Protected Attributes inherited from libepubgen::EPUBParagraphStyleManager
ContentNameMap_t | m_contentNameMap
| a map content -> name More...
std::map< int, std::string > | m_idNameMap
| a map id -> name More...

## Private Member Functions
| EPUBListStyleManager (EPUBListStyleManager const &orig)
EPUBListStyleManager | operator= (EPUBListStyleManager const &orig)

## Additional Inherited Members
Protected Member Functions inherited from libepubgen::EPUBParagraphStyleManager
void | extractProperties (librevenge::RVNGPropertyList const &pList, bool isList, EPUBCSSProperties &cssProps) const
| convert a property list into a CSS property map More...
void | extractBorders (librevenge::RVNGPropertyList const &pList, EPUBCSSProperties &cssProps) const
| add data corresponding to the border More...

## Detailed Description

Small class to manage the list style.

## Constructor & Destructor Documentation

## ◆ EPUBListStyleManager() [1/2]

libepubgen::EPUBListStyleManager::EPUBListStyleManager | ( |  | ) |
| inline

constructor

## ◆ ~EPUBListStyleManager()

libepubgen::EPUBListStyleManager::~EPUBListStyleManager | ( |  | ) |
| inlineoverride

destructor

## ◆ EPUBListStyleManager() [2/2]

libepubgen::EPUBListStyleManager::EPUBListStyleManager | ( | EPUBListStyleManager const & | orig | ) |
| private

## Member Function Documentation

## ◆ closeLevel()

void libepubgen::EPUBListStyleManager::closeLevel | ( |  | ) |

close a level

## ◆ defineLevel()

void libepubgen::EPUBListStyleManager::defineLevel | ( | librevenge::RVNGPropertyList const & | property,
|  | bool | ordered
| ) |  |

add a level to the corresponding list

Referenced by openLevel(), and ~EPUBListStyleManager().

## ◆ getClass()

std::string libepubgen::EPUBListStyleManager::getClass | ( | librevenge::RVNGPropertyList const & | pList | ) |

returns the classname corresponding to a list element

Referenced by ~EPUBListStyleManager().

## ◆ openLevel()

std::string libepubgen::EPUBListStyleManager::openLevel | ( | librevenge::RVNGPropertyList const & | pList,
|  | bool | ordered
| ) |  |

returns the class name corresponding to a propertylist

## ◆ operator=()

EPUBListStyleManager libepubgen::EPUBListStyleManager::operator= | ( | EPUBListStyleManager const & | orig | ) |
| private

## ◆ send()

void libepubgen::EPUBListStyleManager::send | ( | EPUBCSSSink & | out | ) |

send the data to the sink

Referenced by libepubgen::EPUBGenerator::writeStylesheet(), and ~EPUBListStyleManager().

## Member Data Documentation

## ◆ m_actualIdStack

std::vector<int> libepubgen::EPUBListStyleManager::m_actualIdStack
| protected

the actual list id

Referenced by closeLevel(), and openLevel().

## ◆ m_idListMap

std::map<int, List> libepubgen::EPUBListStyleManager::m_idListMap
| protected

a map listId -> list

Referenced by closeLevel(), defineLevel(), and openLevel().

## ◆ m_levelNameMap

List::ContentNameMap_t libepubgen::EPUBListStyleManager::m_levelNameMap
| protected

a map content -> list level name

Referenced by openLevel(), and send().

The documentation for this class was generated from the following files:

- EPUBListStyleManager.h
- EPUBListStyleManager.cpp